package com.gyee.runeconomy.util.redis;

public interface RedisService {

    /**
     * set存数据
     *
     * @param key
     * @param value
     * @return
     */
    boolean set(String key, String value);


    /**
     * get获取数据
     *
     * @param key
     * @return
     */
    String get(String key);

    //    void getList(String key,int start,int end);

    /**
     * 设置有效天数
     *
     * @param key
     * @param expire
     * @return
     */
    boolean expire(String key, long expire);

    /**
     * 移除数据
     *
     * @param key
     * @return
     */
    boolean remove(String key);


    /**
     * 插入对象
     */
    void setObject(Object o);


    boolean hasKey(String key);


    void select(Integer dbIndex);

}